#ifndef YTWIDGET_H
#define YTWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QDateTime>
#include <QStringList>
#include <QFont>
#include "../ycapi/ycapi.h"
#include "beepthread.h"

namespace Ui {
class YtWidget;
}

class YtWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit YtWidget(QWidget *parent = 0);
    ~YtWidget();
    void show_page();

public slots:
    void ui_timeout();
    void page_click();
    void show_html();
    void btn_click();
private:
    Ui::YtWidget *ui;
    QTimer *timer;
    QStringList wd;
    Ycapi *api;
    int current_page;
    BeepThread *beepThread;
    QFont title_font, normal_font;
};

#endif // YTWIDGET_H
